Bug 430315 - Xorg failed to start on Intel Corporation 82G33/G31 Express Integrated Graphics Controller (rev 02) using kernel-xen
Xorg failed to start on Intel Corporation 82G33/G31 Express Integrated Graphi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen-2.6 (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Xen Maintainance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-25 20:07 EST by Nicolas Scheibling
Modified: 2009-01-09 00:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:51:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (40.27 KB, text/plain)
2008-01-25 20:07 EST, Nicolas Scheibling
no flags Details
Add support for G33, Q33 and Q35 chipsets to intel_agp (7.16 KB, patch)
2008-02-18 11:34 EST, Saurabh Bathe
no flags Details | Diff
drm/i915: Add support for the G33, Q33, and Q35 chipsets to kernel-xen (6.46 KB, patch)
2008-02-18 11:36 EST, Saurabh Bathe
no flags Details | Diff
Spec File for kernel-xen using the 2 patches provided (76.17 KB, text/x-rpm-spec)
2008-03-19 08:36 EDT, Nicolas Scheibling
no flags Details
Xorg -configure log file (772 bytes, text/plain)
2008-03-19 08:37 EDT, Nicolas Scheibling
no flags Details
Xorg Config file working with standard kernel (730 bytes, application/octet-stream)
2008-03-20 13:22 EDT, Nicolas Scheibling
no flags Details
Xorg.0.log using the Xorg.conf (which work with the standard kernel) (40.29 KB, text/plain)
2008-03-20 13:43 EDT, Nicolas Scheibling
no flags Details

  None (edit)
Description Nicolas Scheibling 2008-01-25 20:07:57 EST
Description of problem:
Xorg is unable to start using the kernel-xen Kernel.
system-config-display --reconfigure failed too.

Version-Release number of selected component (if applicable):
kernel-xen-2.6.21-2952.fc8
xorg-x11-server-Xorg-1.3.0.0-40.fc8

How reproducible:
boot with kernel-xen-2.6.21-2952.fc8

Steps to Reproduce:
1.run into init 5
  or 
2.startx
  or
3. system-config-display --reconfigure
  
Actual results:
Xorg Crash 

Expected results:
Xorg working

Additional info:
Works well with same settings when using kernel-2.6.23.14-107.fc8.
If installing from FC8-DVD  and select xen, then after the first reboot, X
failed to start.

#########################################
EE from Xorg.log
(EE) GARTInit: Unable to open /dev/agpgart (No such file or directory)
(EE) intel(0): Failed to allocate framebuffer. Is your VideoRAM set too low?
(EE) intel(0): Failed to allocate framebuffer. Is your VideoRAM set too low?
(EE) intel(0): Failed to allocate framebuffer. Is your VideoRAM set too low?
(EE) intel(0): Failed to allocate framebuffer. Is your VideoRAM set too low?
(EE) intel(0): Failed to allocate framebuffer. Is your VideoRAM set too low?
(EE) intel(0): Couldn't allocate video memory

#########################################
lspci -vv
00:02.0 VGA compatible controller: Intel Corporation 82G33/G31 Express
Integrated Graphics Controller (rev 02) (prog-if 00 [VGA controller])
        Subsystem: Giga-byte Technology Unknown device d000
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 16
        Region 0: Memory at e2300000 (32-bit, non-prefetchable) [size=512K]
        Region 1: I/O ports at d200 [size=8]
        Region 2: Memory at d0000000 (32-bit, prefetchable) [size=256M]
        Region 3: Memory at e2100000 (32-bit, non-prefetchable) [size=1M]
        Capabilities: [90] Message Signalled Interrupts: Mask- 64bit- Queue=0/0
Enable-
                Address: 00000000  Data: 0000
        Capabilities: [d0] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
Comment 1 Nicolas Scheibling 2008-01-25 20:07:57 EST
Created attachment 293027 [details]
Xorg.0.log
Comment 2 Nicolas Scheibling 2008-01-30 17:16:02 EST
I think this has been fixed in vanilla kernel-2.6.22 or 2.6.23, here are
interesting commits about G33 and GTT:

########################################################################
ChangeLog-2.6.22:
commit 874808c6dd429f7431b906a32c7f78a68e7636af
Author: Wang Zhenyu <zhenyu.z.wang@intel.com>
Date:   Wed Jun 6 11:16:25 2007 +0800

    [AGPGART] intel_agp: Add support for G33, Q33 and Q35 chipsets
    
    This patch adds pci ids for G33, Q33 and Q35 chips, and update with new
    GTT size and stolen mem size detect method on these chips.
    
    Signed-off-by: Wang Zhenyu <zhenyu.z.wang@intel.com>
    Signed-off-by: Dave Jones <davej@redhat.com>

commit dc7a93190c21edbf3ed23e678ad04f852b9cff28
Author: Wang Zhenyu <zhenyu.z.wang@intel.com>
Date:   Sun Jun 10 15:58:19 2007 +1000

    drm/i915:  Add support for the G33, Q33, and Q35 chipsets.
    
    These require that the status page be referenced by a pointer in GTT, rather
    than phsyical memory.  So, we have the X Server allocate that memory and tell
    us the address, instead.
    
    Signed-off-by: Dave Airlie <airlied@linux.ie>

##########################################################################
Changelog-2.6.23

commit f443675affe3f16dd428e46f0f7fd3f4d703eeab
Author: Zhenyu Wang <zhenyu.z.wang@intel.com>
Date:   Tue Sep 11 15:23:57 2007 -0700

    intel_agp: fix stolen mem range on G33
    
    G33 GTT stolen memory is below graphics data stolen memory and be seperate,
    so don't subtract it in stolen mem counting.
    
    Signed-off-by: Zhenyu Wang <zhenyu.z.wang@intel.com>
    Acked-by: Dave Airlie <airlied@linux.ie>
    Cc: Dave Jones <davej@codemonkey.org.uk>
    Signed-off-by: Andrew Morton <akpm@linux-foundation.org>
    Signed-off-by: Linus Torvalds <torvalds@linux-foundation.org>

commit 3a4986955c0d9806e96a9d738ef7c40cb0cdaba3
Author: Kyle McMartin <kyle@mcmartin.ca>
Date:   Sat Oct 6 01:42:34 2007 -0400

    Revert "intel_agp: fix stolen mem range on G33"
    
    This reverts commit f443675affe3f16dd428e46f0f7fd3f4d703eeab, which
    breaks horribly if you aren't running an unreleased xf86-video-intel
    driver out of git.
    
    Signed-off-by: Kyle McMartin <kyle@mcmartin.ca>
    Cc: Dave Airlie <airlied@linux.ie>commit
e67aa27a6179c287983c6c525beb5320f5cd1672
Author: Dave Airlie <airlied@linux.ie>
Date:   Tue Sep 18 22:46:35 2007 -0700

    intel-agp: Fix i830 mask variable that changed with G33 support
    
    The mask on i830 should be 0x70 always, later chips 0xF0 should be okay.
    
    Signed-off-by: Dave Airlie <airlied@linux.ie>
    Acked-by: Zhenyu Wang <zhenyu.z.wang@intel.com>
    Cc: Michael Haas <laga@laga.ath.cx>
    Signed-off-by: Andrew Morton <akpm@linux-foundation.org>

commit 4740622c5c805d88c63a50747a2d05537dd233cf
Author: Zhenyu Wang <zhenyu.z.wang@intel.com>
Date:   Tue Sep 11 15:23:58 2007 -0700

    intel_agp: fix GTT map size on G33
    
    G33 has 1MB GTT table range.  Fix GTT mapping in case like 512MB aperture
    size.
    
    Signed-off-by: Zhenyu Wang <zhenyu.z.wang@intel.com>
    Acked-by: Dave Airlie <airlied@linux.ie>
    Cc: Dave Jones <davej@codemonkey.org.uk>
    Signed-off-by: Andrew Morton <akpm@linux-foundation.org>
    Signed-off-by: Linus Torvalds <torvalds@linux-foundation.org>





Comment 3 Saurabh Bathe 2008-02-18 11:31:30 EST
Attaching my attempt to backport these patches to 2.6.21 that xen uses.
Compiled fine for me (i686), what needs to be checked now is if it really works.

Comment 4 Saurabh Bathe 2008-02-18 11:34:45 EST
Created attachment 295178 [details]
Add support for G33, Q33 and Q35 chipsets to intel_agp
Comment 5 Saurabh Bathe 2008-02-18 11:36:44 EST
Created attachment 295179 [details]
drm/i915: Add support for the G33, Q33, and Q35 chipsets to kernel-xen
Comment 6 Nicolas Scheibling 2008-03-19 08:32:22 EDT
hi, 
I have rebuild a kernel-xen rpm using the patch provided (adding the 2 patch to
the specfile) but i get the same error.
Here are the specfile and the Xorg.0.log attached.


Comment 7 Nicolas Scheibling 2008-03-19 08:36:32 EDT
Created attachment 298497 [details]
Spec File for kernel-xen using the 2 patches provided 

Spec File for kernel-xen using the 2 patches provided 
Here are the lines i added to the specfile:

Patch20006: patch-G33.patch
Patch20007: patch-G33_i915.patch
%patch20006 -p1
%patch20007 -p1
Comment 8 Nicolas Scheibling 2008-03-19 08:37:49 EDT
Created attachment 298498 [details]
Xorg -configure log file
Comment 9 Saurabh Bathe 2008-03-20 09:53:11 EDT
Strange. The same kernel worked for me for x86_64. My machine boots fine in
runlevel 5 and Xen also works as expected. The same patches worked for later
kernel-xen as well: kernel-xen-2.6.21.7-2.

Can you attach your xorg.conf also? The errors this time are different than
earlier ones. I guess the patches really need to a checked by someone who
understands kernel and device drivers :)
Comment 10 Nicolas Scheibling 2008-03-20 13:22:06 EDT
Created attachment 298717 [details]
Xorg Config file working with standard kernel
Comment 11 Nicolas Scheibling 2008-03-20 13:43:32 EDT
Created attachment 298720 [details]
Xorg.0.log using the Xorg.conf (which work with the standard kernel) 

This was done using kernel_2.6.21-7.2fc8xen (with the two G33/GTT patches).
 
Did you have a G33 like graphic controller on your mainboard ?
Comment 12 Radu Rendec 2008-09-16 14:45:40 EDT
I confirm that the two patches _are working_ on 2.6.21.7-3.fc8xen (i686). My board is Gigabyte G31M-S2L, relevant lspci output is:

00:00.0 Host bridge: Intel Corporation 82G33/G31/P35/P31 Express DRAM Controller (rev 10)
00:02.0 VGA compatible controller: Intel Corporation 82G33/G31 Express Integrated Graphics Controller (rev 10)

Saurabh, great patches! I got my xorg working on fc8/xen in about 30 minutes :)
Comment 13 Bug Zapper 2008-11-26 04:34:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-01-09 00:51:10 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.